Contents | Package | Class | Tree | Deprecated | Index | Help | XML for Java
PREV | NEXT | SHOW LISTS | HIDE LISTS |

# Class com.ibm.xml.xpointer.StringTerm

    java.lang.Object
        |
        +----com.ibm.xml.xpointer.StringTerm

public class StringTerm
extends java.lang.Object
implements OtherTerm, java.io.Serializable

(Based on WD-xptr-19980303)

Version:
  1.1

Constructor Summary
StringTerm(boolean allp, int inst, java.lang.String str, boolean isposition, boolean endp, int position, int length)
StringTerm(boolean allp, int inst, java.lang.String str) `string(all,"...")` or `string(digit,"...")`
StringTerm(boolean allp, int inst, java.lang.String str, boolean endp, int position) `string(...,"...",end)` or `string(...,"...",digit`)
StringTerm(int inst, java.lang.String str, boolean endp) string(digit,"...")

Method Summary
int | getInstance()
int | getLength()
int | getPosition()
java.lang.String | getString()
boolean | hasPosition()
boolean | isAll()
boolean | isEnd()
java.lang.String | toString()

Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

Constructor Detail

### StringTerm

    public StringTerm(boolean allp,
                      int inst,
                      java.lang.String str,
                      boolean isposition,
                      boolean endp,
                      int position,
                      int length)

  Parameters:
    `inst` - no sense when allp is `true`
    `position` - no sense when endp is `true`

### StringTerm

    public StringTerm(boolean allp,
                      int inst,
                      java.lang.String str)

  `string(all,"...")` or `string(digit,"...")`
  Parameters:
    `inst` - no sense when allp is `true`

### StringTerm

    public StringTerm(boolean allp,
                      int inst,
                      java.lang.String str,
                      boolean endp,
                      int position)

  `string(...,"...",end)` or `string(...,"...",digit`)
  Parameters:
    `inst` - no sense when allp is `true`
    `position` - no sense when endp is `true`

### StringTerm

    public StringTerm(int inst,
                      java.lang.String str,
                      boolean endp)

  string(digit,"...")

Method Detail

### isAll

    public boolean isAll()

### getInstance

    public int getInstance()

  Returns:
    no sense when `isAll()` is `true`

### getString

    public java.lang.String getString()

### hasPosition

    public boolean hasPosition()

### isEnd

    public boolean isEnd()

  Returns:
    no sense when `hasPosition()` is `false`

### getPosition

    public int getPosition()

  Returns:
    no sense when `isEnd()` is `true` or `hasPosition()` is `false`

### getLength

    public int getLength()

  Returns:
    -1 when no length parameter.

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Contents | Package | Class | Tree | Deprecated | Index | Help |
PREV | NEXT | SHOW LISTS | HIDE LISTS |